Subject: bug#33602: 27.0.50; Compiling no file at

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Dec 2018 21:52:48 +0200

> Date: Fri, 7 Dec 2018 19:27:07 +0000
> Cc: Glenn Morris <[email-masked]>, [email-masked], [email-masked],
>   [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> Yes.  cl--generic-get-dispatcher calls byte-compile directly.  It calls
> it on a generated lambda form.  Do we still need to do this nowadays?  I
> thought the byte compiler had been enhanced to detect and compile such
> forms automatically.

I'd ask a different question altogether: now that we know this comes
from loading generics, why is that entry in compilation log a problem?
Who cares what the byte compiler says as part of its normal operation,
and why should we consider that "a bug"?